Loading...
Searching...
No Matches
Opm::WellInjectionControls Struct Reference

## Public Member Functions

| WellInjectionControls (int controls_arg)
bool | hasControl (WellInjectorCMode cmode_arg) const
void | skipControl (WellInjectorCMode cmode_arg)
void | addControl (WellInjectorCMode cmode_arg)
void | clearControls ()
bool | anyZeroRateConstraint () const

## Public Attributes

double | bhp_limit {}
double | thp_limit {}
InjectorType | injector_type {InjectorType::GAS}
WellInjectorCMode | cmode = WellInjectorCMode::CMODE_UNDEFINED
double | surface_rate {}
double | reservoir_rate {}
int | vfp_table_number {}
bool | prediction_mode {false}
double | rs_rv_inj {}

The documentation for this struct was generated from the following file:

- opm/input/eclipse/Schedule/Well/WellInjectionControls.hpp